Subject: Re: linux-next: lblnet tree build failure

From: Paul Moore <[email-masked]>
Date: Tue, 16 Dec 2008 11:33:48 -0500

On Tuesday 16 December 2008 3:14:19 am Stephen Rothwell wrote:
> Hi Paul,
>
> Today's linux-next build (x86_64 allmodconfig) failed like this:
>
> security/smack/smackfs.c: In function 'smk_netlabel_audit_set':
> security/smack/smackfs.c:118: error: 'struct task_struct' has no
> member named 'security'
>
> Caused by commit 2d22b59c5401e60c04e6258a245b8a99d103f55b ("smack:
> Add support for unlabeled network hosts and networks") interacting
> with commit b6dff3ec5e116e3af6f537d4caedcad6b9e5082a ("CRED: Separate
> task security context from task_struct") from the security-testing
> tree.  This latter commit is also in the lblnet tree (since it merges
> the security testing tree).
>
> I have dropped the lblnet tree for today.

My mistake, it should be fixed now.

When I was updating the lblnet-2.6_next tree yesterday I made a mistake 
and didn't refresh Casey's patch completely when merging it against the 
security-testing tree as a result some of the necessary merges didn't 
make it out of my local directory.  Sorry guys.

-- 
paul moore
linux @ hp